#ifndef _LCD_DEF_H
#define _LCD_DEF_H


// Constant Definitions
// --------------------
#define LCD_WR          0x20     // lcd WR bit
#define LCD_RS          0x40     // lcd RS bit
#define LCD_EN          0x80     // lcd EN bit

// RAM Variables
// -------------
extern unsigned char LCDBuf;   // holds data and status bits sent to LCD
extern unsigned char LCDStat;  // holds LCD status

// Function Prototypes
// -------------------
void LCDInit(void);
void LCDputs(char *sptr);
void LCDputch(unsigned char datval);
void LCDouthex(byte hval);
void LCD_Cursor_Right(byte steps);
void LCD_Cursor_Left(byte steps);
void LCD_Home(void);

#endif /* _LCD_DEF_H */
